Skip to content

Vehicle Attributes

GET

Returns all valid values for a given vehicle attribute. Use this to discover valid filter values before querying endpoints such as Bodies, Engines, and Colors.

Attribute Description
bodies.type Body style (e.g. SUV, Sedan, Pickup)
engines.cam_type Camshaft type (e.g. DOHC, SOHC)
engines.cylinders Number of cylinders
engines.drive_type Drive type (e.g. AWD, FWD, RWD)
engines.engine_type Engine type (e.g. Gas, Diesel, Electric)
engines.fuel_type Fuel type (e.g. Regular Unleaded, Premium Unleaded)
engines.transmission Transmission type (e.g. Automatic, Manual)
engines.valve_timing Valve timing type
engines.valves Number of valves
Terminal window
curl "https://carapi.app/api/vehicle-attributes?attribute=bodies.type"
[
"Cargo Van",
"Convertible",
"Coupe",
"Crew Cab Pickup",
"Extended Cab Pickup",
"Hatchback",
"Minivan",
"Passenger Van",
"Regular Cab Pickup",
"SUV",
"Sedan",
"Wagon"
]